<form name="rowdataform" #f="ngForm" (ngSubmit)="f.form.valid && onSubmit()" novalidate>
    <div class="mb-3">
        <label for="name" class="form-label">Name</label>
        <input type="text" class="form-control" name="name" [(ngModel)]="rowData.name">
    </div>
    <div class="mb-3">
        <label for="state" class="form-label">State</label>
        <input type="text" class="form-control" name="state"  [(ngModel)]="rowData.state">
    </div>
    <div class="mb-3">
        <label for="zip" class="form-label">Zip</label>
        <input type="number" class="form-control" name="zip" [(ngModel)]="rowData.zip">
    </div>
    <div class="mb-3">
        <label for="amount" class="form-label">Amount</label>
        <input type="number" class="form-control" name="amount" [(ngModel)]="rowData.amount">
    </div>
    <div class="mb-3">
        <label for="qty" class="form-label">Qty</label>
        <input type="number" class="form-control" name="qty" [(ngModel)]="rowData.qty">
    </div>
    <div class="mb-3">
        <label for="item" class="form-label">Item</label>
        <input type="text" class="form-control" name="item" [(ngModel)]="rowData.item">
    </div>
    
    <button type="submit" class="btn btn-primary">
        <span *ngIf="selectedScope == 'Edit'">Update</span>
        <span *ngIf="selectedScope == 'Add'">Add</span>
    </button>
</form>
